# offline-timeline-docker

## Install docker (only once)
```
sudo pacman -S docker docker-compose docker-machine
```

## Clone this repos

this will clone this repos (main docker environement) and necessary other source code (synopsx, webapp, xml-tei sources, vuejs client)

```
git clone --recursive https://esadhar.net/gogs/bachir/offline-timeline-docker.git
```

## Docker

### start docker engine
```
sudo systemctl start docker
```

### build
only before the first run (may take some time)
```
make build
```
### run
then each time you want to launch the app
```
make upd
```

## Client
open http://localhost:8988 in your browser

## Vhost or Cross Origins Policy
Cross origin poilicy will block the api requests from client
You'll need to install vhost domain for api and client, like dev.gdp.net and dev.api.gdp.net
Or in firefox install this addon to allow cors addons.mozilla.org/en-US/firefox/addon/cors-everywhere/

## Logs
to follow the webpack compilation process, run
```
make logs
```

## Update
update the code
```
git pull origin master
git pull --recurse-submodules
```
restart the containers
```
docker-compose restart app
```
